SVN access not working after upgrade

Hello

I'm currently trying to upgrade our Bamboo installation (Installing it on another machine)

The old one is a windows xp machine with Bambo 4.4.5. The new one is Windows 7 x64 with Bamboo 5.0
I copied the settings for the SVN repository, but on the new machine its not working
The error is:

This is not a valid Subversion Repository: svn: E170001: Authentication required for 'svn+ssh://XXX.XXX.XXXX:2222'

Checkout on this machine works (with tortoisesvn + Pagent for the ssh key) so it must be something with the configuration inside Bamboo.

Hopefully somebody can give me some hints.

1 answer

1 accepted

My suspicion is the private key was not specified correctly on the SVN repository configuration. Please do verify whether the file exist on the absolute path that you specified. Otherwise, please do try to regenerate the key and check.

I tried several different settings, but this doesn'T seem to be the problem
is there some way to get more logging information from the the subversion module of Bamboo?

In the logfile there is only the text "not working"

You were right, somehow the key storage on the SVN server was f***** up..

Suggest an answer

Log in or Sign up to answer
Community showcase
Posted Tuesday in Statuspage

Introducing Statuspage Getting Started guides! First up: What is Statuspage?

Over the next several weeks we'll be sharing some of our Getting Started guides here in the community. Throughout this series of posts, we'd love to hear from customers and non-customers ab...

45 views 3 1
Join discussion

Atlassian User Groups

Connect with like-minded Atlassian users at free events near you!

Find a group

Connect with like-minded Atlassian users at free events near you!

Find my local user group

Unfortunately there are no AUG chapters near you at the moment.

Start an AUG

You're one step closer to meeting fellow Atlassian users at your local meet up. Learn more about AUGs

Groups near you